import 'dart:convert';
import 'dart:io';
import 'package:delivery_app/utils/g.dart' as g;
import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';
import 'package:http/http.dart' as http;
class Autogenerated {
  late int status;
  late List<Result> result;
  Autogenerated({
    required this.status,
    required this.result});

  Autogenerated.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    if (json['result'] != null) {
      result = <Result>[];
      json['result'].forEach((v) {
        result.add(Result.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['status'] = status;
    if (result != null) {
      data['result'] = result.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Result {
  late String shop;
  late String address;
  late double latitude;
  late double longitude;

  Result({
    required this.shop,
    required this.address,
    required this.latitude,
    required this.longitude});

  Result.fromJson(Map<String, dynamic> json) {
    shop = json['shop'];
    address = json['address'];
    latitude = json['latitude'];
    longitude = json['longitude'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['shop'] = shop;
    data['address'] = address;
    data['latitude'] = latitude;
    data['longitude'] = longitude;
    return data;
  }
}
Future notificationListAction({refresh : false, getBeforeSeen : false, removeSeen: false, getFromLocal : false})async{

  return null;
}
Future<Autogenerated> getGoogleOffices() async {
  const googleLocationsURL = 'http://172.26.16.113:81/api/get_latlng_by_shop';
  try {
    final response = await http.get(Uri.parse(googleLocationsURL),
      headers: {
        HttpHeaders.authorizationHeader: 'Bearer ${g.userModel.token}',
      },
    );
    if (response.statusCode == 200) {
      return Autogenerated.fromJson(
          json.decode(response.body) as Map<String, dynamic>);
    }
  } catch (e) {
    if (kDebugMode) {
      print(e);
    }
  }
 return Autogenerated.fromJson(
    json.decode(
      await rootBundle.loadString('assets/image/destination_map_marker_ss.png'),
    ) as Map<String, dynamic>,
  );
}